Delete a custom KPI (irreversible)
DELETE
https://core.shopimind.com/v1/custom-stats/kpis/{id}
DROPs the aggregate table, procedure, event and removes the definition row. Requires confirmation phrase matching the KPI name.
Parameters
Header Parameters
spm-api-key*
[Authentication] Required API key.
Type
Requiredstring
Pattern
"^[a-zA-Z0-9-]{20,64}$"Path Parameters
id*
Type
Requiredstring
Request Body
application/json
JSON "confirmation": "supprimer"
{
}
Responses
Client error - Invalid request or authentication issues
application/json
JSON "statusCode": 400, "message": "Invalid request parameters", "error": "Bad Request"
{
}
Delete a custom KPI (irreversible) DROPs the aggregate table, procedure, event and removes the definition row. Requires confirmation phrase matching the KPI name. DELETE /v1/custom-stats/kpis/{id} CustomKpiController_delete Custom KPIs spm-api-key [Authentication] Required API key. id Client error - Invalid request or authentication issues Server error - Internal processing failure